/*------------------------------------*\
  live
\*------------------------------------*/


.live {
  padding-top: $spacing-xxs;
  padding-bottom: $spacing-xxs;
  @include media('<sm') {
    padding-top: $spacing-xs;
    padding-bottom: $spacing-xs;
  }
  display: flex;
  align-items: baseline;
  overflow: hidden;
  position: relative;
}

// trigger
.live__trigger {
  position: absolute;
  z-index: 2;
  top: 0; left: 0; bottom: 0;
  cursor: pointer;
  width: 60px;
  @extend %padding;
  background: url('images/icon-play.svg') $base-color no-repeat center center;
  background-size: 30%;
  &.is-active {
    background-image: url('images/icon-stop.svg');
  }
}

// info
.live__info {
  display: flex;
  width: 100%;
  .info__inner {display: flex;}
  h3 {
    @extend .ts-body;
    color: $body-color;
    @extend %padding;
    white-space: nowrap;
    display: flex;
    align-items: baseline;
    span {
      display: inline-block;
      margin-right: $grid-gutter-width/2;
    }
  }
}
.live__label {text-transform: uppercase;}

// ticker
$duration: 25s;
@keyframes ticker {
  0% {transform: translate3d(0, 0, 0); visibility: visible;}
  100% {transform: translate3d(-100%, 0, 0);}
}
.live__info {
  overflow: hidden;
}
.info__inner {
  padding-left: 100%;
  animation: ticker infinite linear $duration;
}
